Subject: bug#45645: Please revoke this commit: 7dd1a2174a8376c521dcf271e3b76f64096074fe

From: zimoun <[email-masked]>
Date: Wed, 09 Jun 2021 23:48:48 +0200

Hi,

On Mon, 29 Mar 2021 at 16:15, Efraim Flashner <[email-masked]> wrote:
> On Fri, Mar 26, 2021 at 10:21:35AM +0100, zimoun wrote:
>> On Mon, 04 Jan 2021 at 16:14, Efraim Flashner <[email-masked]> wrote:
>> > On Mon, Jan 04, 2021 at 09:52:38AM +0800, luhux wrote:
>>
>> >> ```
>> >>     const gchar *stardict_data_dir = g_getenv("STARDICT_DATA_DIR");
>> >>     std::string data_dir;
>> >>     if (!opt_data_dir) {
>> >>         if (!only_data_dir) {
>> >>             if (stardict_data_dir)
>> >>                 data_dir = stardict_data_dir;
>> >>             else
>> >>                 data_dir = "/usr/share/stardict/dic";
>> >>         }
>> >>     } else {
>> >>         data_dir = get_impl(opt_data_dir);
>> >>     }
>> >>
>> >> ```
>> >>
>> >> Please revoke the content of this commit.
>>
>> I am not seeing a commit reverting
>> 7dd1a2174a8376c521dcf271e3b76f64096074fe.  Am I correct?
>
> That's right, I didn't end up reverting it.
>
>> > Do you have an easy test case? Something like 'guix environment --ad-hoc
>> > sdvc stardict-en stardict-es -- sdvc'? I'd like to get it working. What
>> > is it looking for, just one directory?
>>
>> Should 7dd1a2174a8376c521dcf271e3b76f64096074fe be reverted waiting a
>> proper fix or is it let as it is?
>>
>> In order to close this. :-)
>
> I suppose we could revert it for now. I don't know of any dictionaries
> that it would currently use and according to the bug report it isn't
> working as expected. I was hoping to get it working but moved on to
> other things.

The commit 7dd1a2174a8376c521dcf271e3b76f64096074fe is not reverted.
Let revert and close this bug report.  Or add a comment in
gnu/packages/dictionaries.scm and close this bug report. :-)

Cheers,
simon